# Overview

## Quickstart

#### Prerequisites

Before making requests with the API, you'll need to request the following information from your LOMA representative:

* `partnerId`
* `client_id`
* `client_secret`

#### Getting Started

To start working with the API, you'll need to generate a new access token:

{% content-ref url="/pages/hyWeaG7ZyCBIdz0n7cgi" %}
[OAuth](/api/oauth.md)
{% endcontent-ref %}

Once you have a valid token, you can use the `locations` endpoint to get a list of the brand's locations, along with their specific ID:

{% content-ref url="/pages/LGi969qJwM58BDRZdawz" %}
[Locations](/api/locations.md)
{% endcontent-ref %}

Now that you know the unique ID for each location, you can upsert sales data:

{% content-ref url="/pages/T3yh0kyvivJFvCsRKS1Z" %}
[Sales](/api/sales.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.lomafunds.com/overview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
